%define modn   pariemacs


Summary:       Emacs mode for PARI/GP
Name:          pari-emacs
Version:       3.12
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/Engineering
Source0:       http://math.univ-lille1.fr/~ramare/ServeurPerso/GP-PARI/latest-pari-distrib/%{modn}-%{version}.tar.gz
Source1:       pari.emacs
Patch0:        %{name}-3.10-build.patch
URL:           http://math.univ-lille1.fr/~ramare/ServeurPerso/GP-PARI/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Olivier Ramare <ramare@math.univ-lille1.fr>
Requires:      emacs >= 21 pari >= 2.4.1
BuildRequires: emacs >= 21 pari-devel >= 2.4.1
BuildArch:     noarch


%description
PARI/GP is a widely used computer algebra system designed for fast computations
in number theory. This package provides the Emacs mode for PARI/GP.


%prep
%setup -c -q -n %{modn}-%{version}
%patch0 -p1


%build
%{__make} %{?_smp_mflags} \
	PARI_CFG=%{_libdir}/pari/pari.cfg        \
	INSTALL=%{_datadir}/emacs/site-lisp/pari \
	bindir=%{_bindir}                        \
	pari-conf.el


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/site-start.d

%{__make} \
	INSTALL=${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/pari \
	EMACS=%{_bindir}/emacs                                    \
	install

%{__install} -m 0644 %{SOURCE1}                \
	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/site-start.d/pari-init.el

%{__ln_s} %{_docdir}/%{name}-%{version}/README \
	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/pari

%{__ln_s} %{_datadir}/pari/doc/users.dvi       \
	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/pari



%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{_datadir}/emacs/site-lisp/pari
%config(noreplace) %{_datadir}/emacs/site-lisp/site-start.d/pari-init.el


%changelog
* Sat Jul 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 3.12-1
- New version (3.12)

* Wed Oct 01 2014 Peter Pramberger <peterpramb@member.fsf.org> - 3.10-1
- New version (3.10)

* Sun Jul 27 2014 Peter Pramberger <peterpramb@member.fsf.org> - 3.07-1
- New version (3.07)

* Mon Sep 12 2011 Peter Pramberger <peterpramb@member.fsf.org> - 3.03-1
- Initial build
